%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=1)")}

Summary:	Desktop testing framework
Name:		ldtp
Version:	3.5.0
Release:	12%{?dist}
License:	LGPLv2+
Group:		User Interface/X
URL:		http://ldtp.freedesktop.org/wiki/
Source0:	http://download.freedesktop.org/ldtp/3.x/3.5.x/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch

Requires:	python2-pyatspi
Requires:	gnome-python2-bonobo
Requires:	gnome-python2-gconf
Requires:	gnome-python2-libwnck
Requires:	python2-twisted
Requires:	pygtk2-libglade
Requires:	python2-pystatgrab

BuildRequires:	python2-pyatspi
BuildRequires:	at-spi2-core-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel

%description
Linux Desktop (GUI Application) Testing Project (LDTP) is aimed at producing
high quality test automation framework and cutting-edge tools that can be used
to test Linux Desktop and improve it. It uses the Accessibility libraries to
poke through the application's user interface. The framework also has tools to
record test-cases based on user-selection on the application.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc README
%doc examples/
%{_bindir}/%{name}

%{python_sitelib}/ldtp-%{version}-*

%dir %{python_sitelib}/ldtp
%{python_sitelib}/ldtp/*

%dir %{python_sitelib}/ldtpd
%{python_sitelib}/ldtpd/*

%dir %{python_sitelib}/ooldtp
%{python_sitelib}/ooldtp/*

%dir %{python_sitelib}/ldtputils
%{python_sitelib}/ldtputils/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.5.0-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 02 2016 Jon Ciesla <limburgher@gmail.com> - 3.5.0-7
- Fix pystatgrab Requires.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 Peter Robinson <pbrobinson@fedoraproject.org> 3.5.0-5
- Use newer pyatspi bindings

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Jon Ciesla <limburgher@gmail.com> - 3.5.0-1
- New upstream, BZ 962114.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Jon Ciesla <limburgher@gmail.com> - 3.0.0-1
- New upstream, BZ 845734.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.1-1
- New upstream, BZ 797853.

* Fri Feb 17 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.0-1
- New upstream, BZ 794704.

* Sat Feb 11 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.0-1.20120213gitbd10ba6
- Latest upstream, BZ 557080.
- Using git snapshot to fix a few minor upstream bugs.
- Moved to noarch, 603842.
- Fixed Requires, BZ 667724.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jun 11 2010 Adam Miller <maxamillion@fedoraproject.org> - 2.0.6-2
- Cleaned up error causing entries from the files section

* Fri Jun 11 2010 Adam Miller <maxamillion@fedoraproject.org> - 2.0.6-1
- Version bump to 2.0.6 for upstream latest release
- Changed build and install method to new python distutils setup.py 

* Mon Aug 03 2009 Debarshi Ray <rishi@fedoraproject.org> - 1.6.0-1
- Version bump to 1.6.0. (Red Hat Bugzilla #512423)
  * New APIs for progress bar and layered pane.
  * New APIs for VMware Workstation automation.
  * New API called appundertest.
  * Improved performance, by reducing the number of window information lookup.
  * launchapp should honor delay parameter. (FreeDesktop Bugzilla #19813)
  * rightclick function should work. (GNOME Bugzilla #343890)
  * Expose components hierarchically. (GNOME Bugzilla #547572)
  * mouserightclick should be available for table objects. (GNOME Bugzilla
    #550978)
  * Fixed inability to click the window itself. (GNOME Bugzilla #553747)
  * ldtp.getapplist should not always throw an exception. (GNOME Bugzilla
    #566048)
  * Log all failures and take screenshot on each failure. (GNOME Bugzilla
    #567589).
  * getwindowlist (and others?) should handle UTF-8 well. (GNOME Bugzilla
    #574789)
  * ldtp.captureimage should not ignore coordinate arguments. (GNOME Bugzilla
    #574791)
  * New method called getrole to get the role of a component. (GNOME Bugzilla
    #575120).
- Enabled goptionparse and newroles.

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 1.3.0-5
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 1.3.0-4
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-3
- Replaced 'Requires: python-statgrab' with 'Requires: pystatgrab'.

* Fri Oct 31 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-2
- Addressed errors generated by rpmlint.

* Fri Sep 12 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-1
- Initial build.
